Cisco Issues Fixes for Vulnerable Web Routers

 
 
By Chris Preimesberger  |  Posted 2005-09-07
 
 
 

Cisco alerted its customers Wednesday about a serious security flaw in many of its Internet routers, which serve as key intersections in channeling Web and e-mail traffic from point to point.

Cisco Systems Inc., based in San Jose, Calif., warned that attackers could use the flaw to seize control over specified vulnerable routers—not most routers currently in use.

As of late Wednesday afternoon, none of Ciscos customers had come forward to say their systems were compromised. "At this point, we do not know of any active exploitation of this vulnerability," Cisco spokesman John Noh told eWEEK.com.

The Cisco IOS Firewall Authentication Proxy for FTP and/or Telnet Sessions feature in specific versions of the IOS (Internetwork Operating System) "is vulnerable to a remotely exploitable buffer overflow condition," the company said in its online summary of the problem.

Devices running non-enterprise-level versions of Cisco IOS are the most vulnerable, the company said.

The firewall authentication proxy enables network administrators to designate the types of traffic to be allowed through a firewall on a per-user basis.

Cisco posted specific fixes for each version of the operating system.

Devices that run the following release trains of Cisco IOS are affected if Firewall Authentication Proxy for FTP and/or Telnet Sessions are configured and applied to an active interface.

  • 12.2ZH and 12.2ZL-based trains
  • 12.3-based trains
  • 12.3T-based trains
  • 12.4-based trains
  • 12.4T-based trains

Security vendor Symantec raised its overall Internet threat to "Level 2" from the "Level 1" that it posted earlier in the day. Symantec last posted a "Level 2" in August, during the Zotob hacking attacks.

To read about how Cisco and Intel have joined to fight security threats, click here.

Symantec and Cisco both offered the following quick fix to sysadmins for the problem, if upgrades or patches cannot be immediately programmed:

  • "Block external access at the network boundary, unless service is required by external parties. To exploit this vulnerability, an attacker must be able to establish a TCP connection to the affected device. Block external access to the device if possible. Only allow connections from trusted hosts and networks."

  • "Deploy network intrusion detection systems to monitor network traffic for malicious activity. Intrusion detection systems may detect attempts to exploit this and other latent vulnerabilities across the network. Examine IDS logs regularly for signs of attempted exploitation."

    "Successful exploitation of the vulnerability on Cisco IOS may result in a reload of the device or execution of arbitrary code," Cisco said in its advisory. "Repeated exploitation could result in a sustained DoS attack or execution of arbitrary code on Cisco IOS devices."

    Cisco itself has faced some hacking problems. In early August, the companys own Web site was compromised, and all user and customer passwords had to be reset.

    Check out eWEEK.coms for the latest security news, reviews and analysis. And for insights on security coverage around the Web, take a look at eWEEK.com Security Center Editor Larry Seltzers Weblog.

Rocket Fuel